using System;
using System.Reflection;
using System.Collections;
using Server;
using Server.Menus;
using Server.Menus.Questions;
using Server.Network;

namespace Server.Gumps
{
	public class SetBoolMenu : QuestionMenu
	{
		private PropertyInfo m_Property;
		private Mobile m_Mobile;
		private object m_Object;
		private int m_Page;
		private ArrayList m_List;

		public SetBoolMenu( PropertyInfo prop, Mobile mobile, object o, int page, ArrayList list ) :  base( prop.Name, new string[]{ "True", "False" } )
		{
			m_Property = prop;
			m_Mobile = mobile;
			m_Object = o;
			m_Page = page;
			m_List = list;
		}

		public override void OnResponse( NetState state, int index )
		{
			try
			{
				Server.Scripts.Commands.CommandLogging.LogChangeProperty( m_Mobile, m_Object, m_Property.Name, (index == 0).ToString() );
				m_Property.SetValue( m_Object, index == 0, null );
			}
			catch
			{
				m_Mobile.SendMessage( "An exception was caught. The property may not be changed." );
			}

			m_Mobile.SendGump( new PropertiesGump( m_Mobile, m_Object, m_List, m_Page ) );
		}

		public override void OnCancel( NetState state )
		{
			m_Mobile.SendGump( new PropertiesGump( m_Mobile, m_Object, m_List, m_Page ) );
		}
	}
}