using System;

namespace Server.Items
{
	[FlipableAttribute(0xB32, 0xB33)]
	public class Throne : Item, IDyable
	{
		[Constructable]
		public Throne() : base(0xB33)
		{
			Weight = 6;
		}

		public Throne(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	[FlipableAttribute(0xB2F, 0xB2E, 0xB30, 0xB31)]
	public class WoodenThrone : Item, IDyable
	{
		[Constructable]
		public WoodenThrone() : base(0xB2F)
		{
			Weight = 6;
		}

		public WoodenThrone(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}