using System;
using Server;

namespace Server.Items
{
	public class Lantern : BaseEquipableLight
	{
		public override int LitItemID{ get { return 0xA22; } }
		public override int UnlitItemID{ get { return 0xA25; } }

		[Constructable]
		public Lantern() : base( 0xA25 )
		{
			Duration = TimeSpan.FromMinutes( 20 );
			Burning = false;
			Light = LightType.Circle300;
			Weight = 2.0;
		}

		public Lantern( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}