using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class MessageInABottle : Item
	{
		[Constructable]
		public MessageInABottle() : this( 1 )
		{
		}

		[Constructable]
		public MessageInABottle( int amount ) : base( 0x099F )
		{
			Stackable = true;
			Weight = 1.0;
			Amount = amount;
		}

		public MessageInABottle( Serial serial ) : base( serial )
		{
		}

		public override void OnSingleClick( Mobile from )
		{
			this.LabelTo( from, 1041080 );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( IsChildOf( from.Backpack ) )
			{
				Item item = new SOS();

				if ( !(this.Parent is Container) || !((Container)this.Parent).TryDropItem( from, item, false ) )
					item.MoveToWorld( this.GetWorldLocation(), this.Map );

				this.Delete();
			}
			else
			{
				from.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
			}
		}
	}
}
