using System;
using Server;

namespace Server.Items
{
	public class RandomScroll
	{
		public RandomScroll()
		{
		}

		static public SpellScroll CreateScroll( int minCircle, int maxCircle )
		{
			int circle = Utility.Random( ( maxCircle + 1) - minCircle );
			circle += minCircle;

			return CreateScrollCircle( circle );
		}

		static public SpellScroll CreateScrollCircle( int circle )
		{
			SpellScroll scroll = null;
			switch ( circle )
			{
				case 1:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new ClumsyScroll();		break;
						case 1: scroll = new CreateFoodScroll();	break;
						case 2: scroll = new FeeblemindScroll();	break;
						case 3: scroll = new HealScroll();			break;
						case 4: scroll = new MagicArrowScroll();	break;
						case 5: scroll = new NightSightScroll();	break;
						case 6: scroll = new ReactiveArmorScroll();	break;
						case 7: scroll = new WeakenScroll();		break;
					}
					break;
				}

				case 2:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new AgilityScroll();		break;
						case 1: scroll = new CunningScroll();		break;
						case 2: scroll = new CureScroll();			break;
						case 3: scroll = new HarmScroll();			break;
						case 4: scroll = new MagicTrapScroll();		break;
						case 5: scroll = new MagicUnTrapScroll();	break;
						case 6: scroll = new ProtectionScroll();	break;
						case 7: scroll = new StrengthScroll();		break;
					}

					break;
				}

				case 3:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new BlessScroll();			break;
						case 1: scroll = new FireballScroll();		break;
						case 2: scroll = new MagicLockScroll();		break;
						case 3: scroll = new PoisonScroll();		break;
						case 4: scroll = new TelekinisisScroll();	break;
						case 5: scroll = new TeleportScroll();		break;
						case 6: scroll = new UnlockScroll();		break;
						case 7: scroll = new WallOfStoneScroll();	break;
					}

					break;
				}

				case 4:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new ArchCureScroll();		break;
						case 1: scroll = new ArchProtectionScroll();break;
						case 2: scroll = new CurseScroll();			break;
						case 3: scroll = new FireFieldScroll();		break;
						case 4: scroll = new GreaterHealScroll();	break;
						case 5: scroll = new LightningScroll();		break;
						case 6: scroll = new ManaDrainScroll();		break;
						case 7: scroll = new RecallScroll();		break;
					}

					break;
				}

				case 5:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new BladeSpiritsScroll();	break;
						case 1: scroll = new DispelFieldScroll();	break;
						case 2: scroll = new IncognitoScroll();		break;
						case 3: scroll = new MagicReflectScroll();	break;
						case 4: scroll = new MindBlastScroll();		break;
						case 5: scroll = new ParalyzeScroll();		break;
						case 6: scroll = new PoisonFieldScroll();	break;
						case 7: scroll = new SummonCreatureScroll();break;
					}

					break;
				}

				case 6:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new DispelScroll();		break;
						case 1: scroll = new EnergyBoltScroll();	break;
						case 2: scroll = new ExplosionScroll();		break;
						case 3: scroll = new InvisibilityScroll();	break;
						case 4: scroll = new MarkScroll();			break;
						case 5: scroll = new MassCurseScroll();		break;
						case 6: scroll = new ParalyzeFieldScroll();	break;
						case 7: scroll = new RevealScroll();		break;
					}

					break;
				}

				case 7:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new ChainLightningScroll();break;
						case 1: scroll = new EnergyFieldScroll();	break;
						case 2: scroll = new FlamestrikeScroll();	break;
						case 3: scroll = new GateTravelScroll();	break;
						case 4: scroll = new ManaVampireScroll();	break;
						case 5: scroll = new MassDispelScroll();	break;
						case 6: scroll = new MeteorSwarmScroll();	break;
						case 7: scroll = new PolymorphScroll();		break;
					}

					break;
				}

				case 8:
				{
					switch ( Utility.Random( 8 ) )
					{
						case 0: scroll = new EarthquakeScroll();			break;
						case 1: scroll = new EnergyVortexScroll();			break;
						case 2: scroll = new ResurrectionScroll();			break;
						case 3: scroll = new SummonAirElementalScroll();	break;
						case 4: scroll = new SummonDaemonScroll();			break;
						case 5: scroll = new SummonEarthElementalScroll();	break;
						case 6: scroll = new SummonFireElementalScroll();	break;
						case 7: scroll = new SummonWaterElementalScroll();	break;
					}

					break;
				}
			}

			return scroll;
		}
	}
}
