using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0xF5C, 0xF5D )]
	public class Mace : BaseBashing
	{
		[Constructable]
		public Mace() : base( 8, 32, 30, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Bashing, WeaponAnimation.Bash1H, 0xF5C, Layer.OneHanded )
		{
			Weight = 14.0;
			StrRequirement = 20;
		}

		public Mace( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}