/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 59.1
Skill 3rd 65.1
Skill 4th 71.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a leopard corpse")]
	public class Snowleopard : BaseCreature
	{
		[Constructable]
		public Snowleopard() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = Utility.RandomList(65,64);
			this.Name = ("a snow leopard");
			this.VirtualArmor = 24;

			this.InitStats(Utility.Random(56,24),Utility.Random(67,19),Utility.Random(27,24));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(44,11);
			this.Skills[SkillName.Tactics].Base = Utility.Random(46,15);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(25,11);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 53.1;// Skill 1st
			MaxTameSkill = 77.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 1; } }

		public Snowleopard(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x73; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x74; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x75; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x76; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x77; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}