/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 53.1
Skill 3rd 59.1
Skill 4th 65.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("an alligator corpse")]
	public class SmallAlligator : BaseCreature
	{
		[Constructable]
		public SmallAlligator() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 133;
			this.Name = ("a small alligator");
			this.VirtualArmor = 30;

			this.InitStats(Utility.Random(77,24),Utility.Random(36,39),Utility.Random(11,4));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(45,19);
			this.Skills[SkillName.Tactics].Base = Utility.Random(41,20);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(20,21);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 47.1;// Skill 1st
			MaxTameSkill = 71.1;// Skill 5th
		}

		public SmallAlligator(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x5A; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x5B; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x5C; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x5D; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x5E; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}