using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a dog corpse")]
	public class Dog : BaseCreature
	{
		[Constructable]
		public Dog() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			Hue = Utility.RandomList(0x900,0x906,0x90C);
			this.Body = 0xD9;
			this.Name = ("a dog");
			this.VirtualArmor = 12;

			this.InitStats(Utility.Random(27,11),Utility.Random(32,12),Utility.Random(30,17));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(24,8);
			this.Skills[SkillName.Tactics].Base = Utility.Random(21,8);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(23,24);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MaxTameSkill = 11.1;
			MinTameSkill = -0.9;
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 7; } }

		public Dog(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x85; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x86; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x87; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x88; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x89; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}