using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an ice elemental corpse" )]
	public class IceElemental : BaseCreature
	{
		[Constructable]
		public IceElemental () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 161;
			Name = "an ice elemental";
			BaseSoundID = 268;

			SetStr( 158, 184 );
			SetDex( 99, 115 );
			SetInt( 172, 192 );
			SetSkill( SkillName.Wrestling, 76, 97 );
			SetSkill( SkillName.Tactics, 76, 98 );
			SetSkill( SkillName.MagicResist, 33, 78 );
			SetSkill( SkillName.Magery, 31, 47 );

			VirtualArmor = 40;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 8 ))
			{
			case 0: PackItem( new SpidersSilk( 2 ) ); break;
			case 1: PackItem( new BlackPearl( 2 ) ); break;
			case 2: PackItem( new Bloodmoss( 2 ) ); break;
			case 3: PackItem( new Garlic( 2 ) ); break;
			case 4: PackItem( new MandrakeRoot( 2 ) ); break;
			case 5: PackItem( new Nightshade( 2 ) ); break;
			case 6: PackItem( new SulfurousAsh( 2 ) ); break;
			case 7: PackItem( new Ginseng( 2 ) ); break;
			}

				PackItem( new Gold( 150, 300 ));

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}
		}

		public IceElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
