using System; 
using System.Collections; 
using Server.Items; 
using Server.Spells; 
using Server.Spells.First; 
using Server.Spells.Second; 
using Server.Spells.Third; 
using Server.Spells.Fourth; 
using Server.Spells.Fifth; 
using Server.Spells.Sixth; 
using Server.Spells.Seventh; 
using Server.Targeting; 
using Server.GenerateRandomMagicItems; 

namespace Server.Mobiles 
{ 
   [CorpseName( "an ice fiend corpse" )] 
   public class IceFiend : BaseCreature 
   { 
      [Constructable] 
      public IceFiend () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 
         Body = 43; 
         Name = "an ice fiend"; 
         BaseSoundID = 357; 

         SetStr( 377, 390 ); 
         SetDex( 176, 194 ); 
         SetInt( 207, 224 ); 
         SetSkill( SkillName.Wrestling, 84, 98 ); 
         SetSkill( SkillName.Tactics, 80, 84 ); 
         SetSkill( SkillName.MagicResist, 78, 82 ); 
         SetSkill( SkillName.Magery, 88, 90 ); 
         SetSkill( SkillName.EvalInt, 25, 31 ); 

         VirtualArmor = 60; 
         SetFameLevel( 5 ); 
         SetKarmaLevel( 5 ); 

            PackItem( new Gold( 700, 900 )); 
            PackItem( RandomScroll.CreateScroll( 2, 6 ) ); 
            PackItem( RandomScroll.CreateScroll( 2, 6 ) ); 

      } 

      public IceFiend( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
