using System; 
using System.Collections; 
using Server.Items; 
using Server.Targeting; 

namespace Server.Mobiles 
{ 
   [CorpseName( "a horde minion corpse" )] 
   public class HordeMinion : BaseCreature 
   { 
      [Constructable] 
      public HordeMinion () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 
         Body = 776; 
         Name = "a horde minion"; 
         BaseSoundID = 357; 

         SetStr( 17, 34 ); 
         SetDex( 34, 60 ); 
         SetInt( 11, 25 ); 
         SetSkill( SkillName.Wrestling, 27, 40 ); 
         SetSkill( SkillName.Tactics, 2, 14 ); 
         SetSkill( SkillName.MagicResist, 10, 10 ); 

         VirtualArmor = 18; 
         SetFameLevel( 1 ); 
         SetKarmaLevel( 1 ); 
          

         switch ( Utility.Random( 9 )) 
         { 
         case 0: PackItem( new Amber() ); break; 
         case 1: PackItem( new Amethyst() ); break; 
         case 2: PackItem( new Citrine() ); break; 
         case 3: PackItem( new Diamond() ); break; 
         case 4: PackItem( new Emerald() ); break; 
         case 5: PackItem( new Ruby() ); break; 
         case 6: PackItem( new Sapphire() ); break; 
         case 7: PackItem( new StarSapphire() ); break; 
         case 8: PackItem( new Tourmaline() ); break; 
         } 

         switch ( Utility.Random( 6 )) 
         { 
         case 0: PackItem( new AgilityPotion() ); break; 
         case 1: PackItem( new LesserCurePotion() ); break; 
         case 2: PackItem( new LesserHealPotion() ); break; 
         case 3: PackItem( new LesserPoisonPotion() ); break; 
         case 4: PackItem( new RefreshPotion() ); break; 
         case 5: PackItem( new StrengthPotion() ); break; 
         } 

            PackItem( new Bone( 3 )); 
            PackItem( new Gold( 5, 50 )); 

      } 

      public HordeMinion( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
