using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a mongbat corpse" )]
	public class Mongbat : BaseCreature
	{
		[Constructable]
		public Mongbat() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 39;
			Name = "a mongbat";
			BaseSoundID = 422;

			SetStr( 6, 9 );
			SetDex( 26, 37 );
			SetInt( 1, 1 );
			SetSkill( SkillName.Wrestling, 6, 10 );
			SetSkill( SkillName.Tactics, 5, 10 );
			SetSkill( SkillName.MagicResist, 5, 12 );

			VirtualArmor = 10;
			SetFameLevel( 1 );
			SetKarmaLevel( 1 );
			

				PackItem( new Gold( 1, 10 ));

			Tamable = true;
			MaxTameSkill = 10.1;
			MinTameSkill = -9.1;
		}

		public Mongbat( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
