using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an orcish lords corpse" )]
	public class OrcishLord : BaseCreature
	{
		[Constructable]
		public OrcishLord() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 138;
			Name = "an orcish lord";
			BaseSoundID = 432;

			SetStr( 177, 206 );
			SetDex( 91, 109 );
			SetInt( 61, 100 );
			SetSkill( SkillName.Wrestling, 72, 85 );
			SetSkill( SkillName.Tactics, 75, 89 );
			SetSkill( SkillName.MagicResist, 71, 80 );

			VirtualArmor = 30;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				PackItem( new ThighBoots());
				AddItem( new TwoHandedAxe());
				PackItem( new RingmailChest());
				PackItem( new OrcHelm());
				PackItem( new Gold( 550, 900 ));
		}

		public override int Meat{ get{ return 1; } }

		public OrcishLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
