using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a ratmans corpse" )]
	public class RatmanArcher : BaseCreature
	{
		[Constructable]
		public RatmanArcher() : base( AIType.AI_Archer, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 42;
			Hue = 0x8484;
			Name = "a ratman archer";
			BaseSoundID = 437;

			SetStr( 146, 180 );
			SetDex( 103, 127 );
			SetInt( 116, 138 );
			SetSkill( SkillName.Archery, 57, 77 );
			SetSkill( SkillName.Tactics, 54, 74 );
			SetSkill( SkillName.MagicResist, 67, 90 );
			SetSkill( SkillName.Anatomy, 63, 92 );

			VirtualArmor = 56;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			AddItem( new Bow() );
			PackItem( new Arrow( Utility.Random( 10, 10 ) ) );
			PackItem( new Gold( 250, 300 ) );
		}

		public override int Hides{ get{ return 8; } }
		public override HideType HideType{ get{ return HideType.Spined; } }

		public RatmanArcher( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
