using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a drake corpse" )]
	public class Drake : BaseCreature
	{
		[Constructable]
		public Drake () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = Utility.RandomList( 60, 61 );

			Name = "a drake";
			BaseSoundID = 362;

			ControlSlots = 2;
			Tamable = true;
			MaxTameSkill = 100.0;
			MinTameSkill = 84.3;


			SetStr( 402, 430 );
			SetDex( 134, 151 );
			SetInt( 101, 140 );
			SetSkill( SkillName.Wrestling, 68, 81 );
			SetSkill( SkillName.Tactics, 66, 90 );
			SetSkill( SkillName.MagicResist, 65, 79 );

			VirtualArmor = 46;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			

			switch ( Utility.Random( 9 ))
			{
				case 0: PackItem( new Amber() ); break;
				case 1: PackItem( new Amethyst() ); break;
				case 2: PackItem( new Citrine() ); break;
				case 3: PackItem( new Diamond() ); break;
				case 4: PackItem( new Emerald() ); break;
				case 5: PackItem( new Ruby() ); break;
				case 6: PackItem( new Sapphire() ); break;
				case 7: PackItem( new StarSapphire() ); break;
				case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 9 ))
			{
				case 0: PackItem( new Amber() ); break;
				case 1: PackItem( new Amethyst() ); break;
				case 2: PackItem( new Citrine() ); break;
				case 3: PackItem( new Diamond() ); break;
				case 4: PackItem( new Emerald() ); break;
				case 5: PackItem( new Ruby() ); break;
				case 6: PackItem( new Sapphire() ); break;
				case 7: PackItem( new StarSapphire() ); break;
				case 8: PackItem( new Tourmaline() ); break;
			}

                        // Temporary Switches Until RandomScroll Class is made
			switch ( Utility.Random( 6 ))
			{
				case 0: PackItem( new CreateFoodScroll() ); break;
				case 1: PackItem( new HarmScroll() ); break;
				case 2: PackItem( new TeleportScroll() ); break;
				case 3: PackItem( new RecallScroll() ); break;
				case 4: PackItem( new MindBlastScroll() ); break;
				case 5: PackItem( new DispelScroll() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
				case 0: PackItem( new NightSightScroll() ); break;
				case 1: PackItem( new StrengthScroll() ); break;
				case 2: PackItem( new UnlockScroll() ); break;
				case 3: PackItem( new GreaterHealScroll() ); break;
				case 4: PackItem( new IncognitoScroll() ); break;
				case 5: PackItem( new MarkScroll() ); break;
			}

			PackItem( new Garlic ( 3 ));
			PackItem( new Gold( 300, 350 ));
		}

		public override int Meat{ get{ return 10; } }
		public override int Hides{ get{ return 20; } }
		public override HideType HideType{ get{ return HideType.Horned; } }

		public Drake( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
