using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	public class Mephitis : BaseChampion
	{
		[Constructable]
		public Mephitis() : base( AIType.AI_Melee )
		{
			Body = 173;
			Name = "Mephitis";

			BaseSoundID = 0x183;

			SetFameLevel( 5 );
			SetKarmaLevel( 5 );

			SetStr( 745, 800 );
			SetDex( 310, 370 );
			SetInt( 485, 525 );

			VirtualArmor = 80;

			SetSkill( SkillName.Wrestling, 98, 99 );
			SetSkill( SkillName.Tactics, 98, 100 );
			SetSkill( SkillName.MagicResist, 100, 100 );

			PackItem( new Gold( 2500, 3000 ) );

			PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 3, 5 ) );
			PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 5, 5 ) );
		}

		[CommandProperty( AccessLevel.GameMaster )]
		public override int HitsMax{ get{ return 5000; } }

		public override void OnGaveMeleeAttack( Mobile defender )
		{
			if ( 0.4 >= Utility.RandomDouble() )
				defender.Poison = Poison.Lethal;
		}

		public override void OnGotMeleeAttack( Mobile attacker )
		{
			if ( 0.4 >= Utility.RandomDouble() )
				attacker.Poison = Poison.Lethal;

			// TODO: Web ability
		}

		public Mephitis( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}